package com.community.pocket.ui.main.ui.visitor.reservation;

import androidx.lifecycle.MutableLiveData;

import com.community.pocket.data.main.visitor.VisitorReservationRequest;
import com.community.pocket.ui.main.ui.share.BaseViewModel;

/**
 * 我的预约UI数据管理
 */
public class VisitorReservationViewModel extends BaseViewModel<VisitorReservationRequest> {

    //我的预约请求状态
    private MutableLiveData<VisitorReservationResponse> visitorReservationResponse = new MutableLiveData<>();

    MutableLiveData<VisitorReservationResponse> getVisitorReservationResponse() {
        return visitorReservationResponse;
    }

    //我的预约
    void loadReservation(String startDate, String endDate) {
        getRequest().loadReservation(visitorReservationResponse, startDate, endDate);
    }


    @Override
    protected VisitorReservationRequest getRequest() {
        return VisitorReservationRequest.getInstance();
    }
}
